libkate: Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : kate_color

### - b -

- b : kate_color
- background_color : kate_style , kate_tracker
- backlink : kate_event
- bitmap : kate_event
- bitmap_pos : kate_tracker
- bitmap_size : kate_tracker
- bitmap_size_x : kate_tracker
- bitmap_size_y : kate_tracker
- bitmap_x : kate_tracker
- bitmap_y : kate_tracker
- bitmaps : kate_info , kate_event
- bitstream_version_major : kate_info
- bitstream_version_minor : kate_info
- bold : kate_style
- bottom_margin : kate_tracker , kate_style
- bpp : kate_bitmap

### - c -

- category : kate_info
- clip : kate_region
- colors : kate_palette
- comment_lengths : kate_comment
- comments : kate_comment
- curves : kate_motion , kate_info

### - d -

- data : kate_packet
- draw : kate_tracker
- draw_color : kate_tracker , kate_style
- draw_width : kate_tracker
- draw_x : kate_tracker
- draw_y : kate_tracker
- duration : kate_event
- durations : kate_motion

### - e -

- end_time : kate_event
- event : kate_tracker

### - f -

- first_bitmap : kate_font_range
- first_code_point : kate_font_range
- font : kate_style
- font_height : kate_style
- font_mapping : kate_event
- font_mappings : kate_info
- font_metric : kate_style
- font_ranges : kate_info
- font_width : kate_style
- frame_h : kate_tracker
- frame_w : kate_tracker
- frame_x : kate_tracker
- frame_y : kate_tracker

### - g -

- g : kate_color
- glyph_height : kate_tracker
- glyph_pointer : kate_tracker
- glyph_pointer_bitmap : kate_tracker
- gps_denominator : kate_info
- gps_numerator : kate_info
- granule_shift : kate_info

### - h -

- h : kate_region
- halign : kate_style
- has : kate_tracker
- height : kate_bitmap
- hmargins : kate_tracker

### - i -

- id : kate_event
- italics : kate_style

### - j -

- justify : kate_style

### - k -

- ki : kate_state , kate_tracker

### - l -

- language : kate_info , kate_event
- last_code_point : kate_font_range
- left_margin : kate_tracker , kate_style
- len : kate_event
- len0 : kate_event

### - m -

- margin_metric : kate_style
- marker_bitmap : kate_tracker
- marker_pos : kate_tracker
- marker_x : kate_tracker
- marker_y : kate_tracker
- metric : kate_region
- motions : kate_info , kate_event

### - n -

- nbitmaps : kate_info , kate_event
- nbytes : kate_packet
- ncolors : kate_palette
- ncurves : kate_motion , kate_info
- nfont_mappings : kate_info
- nfont_ranges : kate_info
- nmotions : kate_info , kate_event
- npalettes : kate_info
- npts : kate_curve
- nranges : kate_font_mapping
- nregions : kate_info
- nstyles : kate_info
- num_headers : kate_info

### - o -

- original_canvas_height : kate_info
- original_canvas_width : kate_info

### - p -

- palette : kate_bitmap , kate_event
- palettes : kate_info
- path : kate_tracker
- path_end : kate_tracker
- path_start : kate_tracker
- periodic : kate_motion
- pixels : kate_bitmap
- pts : kate_curve

### - r -

- r : kate_color
- ranges : kate_font_mapping
- region : kate_tracker , kate_event
- region_h : kate_tracker
- region_w : kate_tracker
- region_x : kate_tracker
- region_y : kate_tracker
- regions : kate_info
- right_margin : kate_tracker , kate_style

### - s -

- secondary_style : kate_event
- semantics : kate_motion
- size : kate_bitmap
- start : kate_event
- start_time : kate_event
- strike : kate_style
- style : kate_event , kate_region
- styles : kate_info

### - t -

- t : kate_tracker
- text : kate_event
- text_alignment_ext : kate_tracker
- text_alignment_int : kate_tracker
- text_color : kate_style , kate_tracker
- text_directionality : kate_info , kate_event
- text_encoding : kate_info , kate_event
- text_halign : kate_tracker
- text_markup_type : kate_info , kate_event
- text_pos : kate_tracker
- text_size : kate_tracker
- text_size_x : kate_tracker
- text_size_y : kate_tracker
- text_valign : kate_tracker
- text_x : kate_tracker
- text_y : kate_tracker
- top_margin : kate_style , kate_tracker
- type : kate_bitmap , kate_curve

### - u -

- underline : kate_style
- user_comments : kate_comment

### - v -

- valign : kate_style
- vendor : kate_comment
- visible_section : kate_tracker
- visible_x : kate_tracker
- visible_y : kate_tracker
- vmargins : kate_tracker

### - w -

- w : kate_region
- width : kate_bitmap
- window_h : kate_tracker
- window_w : kate_tracker
- wrap_mode : kate_style

### - x -

- x : kate_region
- x_mapping : kate_motion
- x_offset : kate_bitmap

### - y -

- y : kate_region
- y_mapping : kate_motion
- y_offset : kate_bitmap

### - z -

- z : kate_tracker